Add a nice pretty banner printer so we have standard banners. 

Make 'halt' just put out nulls forever instead of hlt(), to ensure that any fifos
of any sort get flushed. This change also helps JTAG debuggers since it can be very 
hard to get out of a halt instruction, but very easy to get out of an IO loop.
I have direct experience with this latter situation :-)

Signed-off-by: Ronald G. Minnich <rminnich@gmail.com>

Index: lib/console.c
===================================================================
--- lib/console.c	(revision 541)
+++ lib/console.c	(working copy)
@@ -46,6 +46,17 @@
 	return i;
 }
 
+/**
+ * Print a nice banner so we know what step we died on. 
+ *
+ * @param s String to put in the middle of the banner
+ */
+
+void banner(int level, char *s)
+{
+	printk(level, "===========================%s===========================\n", s);
+}
+
 void console_init(void)
 {
 	static const char console_test[] =
@@ -63,5 +74,5 @@
 {
 	printk(BIOS_EMERG, str);
 	while (1)
-		hlt();
+		console_tx_byte(0, (void *)0);
 }
